GET /analytics/linkedin/org-aggregate-analytics

Organization page analytics: share statistics (impressions, unique_impressions, clicks, likes, comments, shares, engagement_rate), follower gains (organic_followers_gained, paid_followers_gained), page views (page_views_total, _overview, _careers, _jobs, _life; total_value only) and followers_gained / followers_lost from Postgale's daily follower snapshots. Max 89 days, default the last 30. A metric that cannot be served is listed in unavailableMetrics, never reported as 0

GET
/analytics/linkedin/org-aggregate-analytics

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

LinkedIn organization account id

metrics?string

Comma-separated (default impressions, clicks, engagement_rate, organic_followers_gained, followers_gained, followers_lost)

metricType?string

Default total_value

Value in"total_value""time_series"
fromDate?string

Default 30 days ago

Formatdate
toDate?string

Default today

Formatdate
since?string

Alias of fromDate

Formatdate
until?string

Alias of toDate

Formatdate

Response Body

{success, accountId, platform, dateRange, metricType, metrics, unavailableMetrics?, dataDelay}

application/json
  1. response
success?boolean
accountId?string
platform?string
dateRange?
metricType?string
Value in"total_value""time_series"
metrics?
unavailableMetrics?array<>
dataDelay?string
Example Request
curl -X GET 'https://example.com/api/v1/analytics/linkedin/org-aggregate-analytics?accountId=string'
Example Response
{  "success": true,  "accountId": "string",  "platform": "string",  "dateRange": {    "since": "string",    "until": "string"  },  "metricType": "total_value",  "metrics": {    "property1": {      "total": 0,      "values": [        {          "date": "string",          "value": 0        }      ]    },    "property2": {      "total": 0,      "values": [        {          "date": "string",          "value": 0        }      ]    }  },  "unavailableMetrics": [    {      "metric": "string",      "reason": "string",      "message": "string"    }  ],  "dataDelay": "string"}